/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef INTERFACE_H
#define INTERFACE_H

#define NMENU 5 +1       /* +1 to skip the 0 value for glLoadName */
#define NCYL  9          /* number of cylinder in each menu */

enum  /* menu names -- don't change order */
{
  NOMENU,
  MP,
  RULES,
  SCORES,
  OPTIONS,
  FINDS
};


void  interface_onKeyUp       (int c,
                               int x,
                               int y);
void  interface_onSKeyDown    (int c,
                               int x,
                               int y);
void  interface_onKeyDown     (unsigned char c,
                               int x,
                               int y);
void  interface_onMouse       (int button,
                               int state,
                               int x,
                               int y);
void  interface_motionActive  (int x,
                               int y);
void  interface_motionPassive (int x,
                               int y);
void  interface_changeMenu    (int menu);


#endif /* guard */
