/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef SOUND_H
#define SOUND_H


#ifndef USESOUND
# define USESOUND 0  /* do we use sound (SDL_mixer library)? */
#endif

#if (USESOUND)

/* Default directory definition : when not given by make */

#include "jomar3D.h"

#ifndef MUSICDIR
# define MUSICDIR DATADIR"/music"
#endif

#ifndef SOUNDDIR
# define SOUNDDIR DATADIR"/sound"
#endif

enum /* name of each mix track */
{ 
  BACKGROUND,
  WALL, 
  TRYCATCH, 
  PICKUP, 
  WON, 
  WALK, 
  BOOST, 
  CHOU, 
  BOOM,
  SMENU1, 
  SMENU2, 
  SMENU3, 
  SMENU4, 
  SMENU5, 
  SMENU6, 
  SMENU7, 
  SMENU8, 
  SMENU9,
  SMENU10, 
  LAST
};

enum
{ 
  SOUND_BACKGROUND,
  SOUND_WALL, 
  SOUND_TRYCATCH, 
  SOUND_PICKUP, 
  SOUND_WON, 
  SOUND_WALK, 
  SOUND_BOOST, 
  SOUND_CHOU, 
  SOUND_BOOM,
  SOUND_MENU,
  SOUND_N
};

/* sound_changeVolume's available modes */
enum
{
  S_SET,          /* Just set the given value */
  S_INCREASE,     /* Increase the volume (ignoring given value) */
  S_DECREASE      /* Decrease the volume (ignoring given value) */
};


void  sound_unloadAll     (void);
void  sound_launch        (void);
void  sound_mix           (int);
void  sound_stopChannel   (int channel);
void  sound_pauseResume   (void);

void  sound_changeMusic   (void);
void  sound_changeVolume  (int   flag,
                           float percent);
float sound_getVolume     (void);


#endif /* (USESOUND) */


#endif /* guard */
